ExportTemplateRequest Class

Definition

Export resource group template request parameters.

public class ExportTemplateRequest
Inheritance
java.lang.Object
ExportTemplateRequest

Inherited Members

java.lang.Object.clone() java.lang.Object.equals(java.lang.Object) java.lang.Object.finalize() java.lang.Object.getClass() java.lang.Object.hashCode() java.lang.Object.notify() java.lang.Object.notifyAll() java.lang.Object.toString() java.lang.Object.wait() java.lang.Object.wait(long) java.lang.Object.wait(long,int)

Constructors

ExportTemplateRequest()

Methods

options()

Get the export template options. A CSV-formatted list containing zero or more of the following: 'IncludeParameterDefaultValue', 'IncludeComments', 'SkipResourceNameParameterization', 'SkipAllParameterization'.

resources()

Get the IDs of the resources to filter the export by. To export all resources, supply an array with single entry '*'.

withOptions(String options)

Set the export template options. A CSV-formatted list containing zero or more of the following: 'IncludeParameterDefaultValue', 'IncludeComments', 'SkipResourceNameParameterization', 'SkipAllParameterization'.

withResources(List<String> resources)

Set the IDs of the resources to filter the export by. To export all resources, supply an array with single entry '*'.

Applies to